<refentry id="modespec.element">
<?dbhtml filename="modespec.html"?>
<refentryinfo>
<pubdate>$Date: 2004-02-23 22:25:58 +0800 (Mon, 23 Feb 2004) $</pubdate>
<releaseinfo>$Revision: 3457 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>modespec</secondary></indexterm>
<refentrytitle>modespec</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>modespec</refname>
<refpurpose>&modespec.purpose;</refpurpose>
</refnamediv>

&modespec.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
<sgmltag>ModeSpec</sgmltag> contains application-specific instructions required
to process an <sgmltag>OLink</sgmltag>.  See <sgmltag>OLink</sgmltag>.
</para>

<refsect2><title>Processing expectations</title>
<para>
&format.suppress; This element provides data for processing but
is not expected to be rendered directly.
</para>
</refsect2>


&modespec.parents.gen;
&modespec.children.gen;
</refsect1>
<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>
<variablelist>
<varlistentry><term>application</term>
<listitem>
<para>
<sgmltag class="attribute">Application</sgmltag> indicates the nature of the
action required to complete the <sgmltag>OLink</sgmltag>. <sgmltag
class="attribute">Application</sgmltag> must be a notation declared in the
&DTD;.
</para>
</listitem>
</varlistentry>
</variablelist>
</refsect1>
<refsect1><title>Examples</title>

&modespec.example.seealso.gen;
</refsect1>
</refentry>

